Package org.apache.commons.math3.analysis

# Interface DifferentiableUnivariateFunction

All Superinterfaces:
  `UnivariateFunction`

All Known Implementing Classes:
  `Acos`, `Acosh`, `Asin`, `Asinh`, `Atan`, `Atanh`, `Cbrt`, `Constant`, `Cos`, `Cosh`, `Exp`, `Expm1`, `Gaussian`, `HarmonicOscillator`, `Identity`, `Inverse`, `Log`, `Log10`, `Log1p`, `Logistic`, `Logit`, `Minus`, `PolynomialFunction`, `PolynomialSplineFunction`, `Power`, `Sigmoid`, `Sin`, `Sinc`, `Sinh`, `Sqrt`, `Tan`, `Tanh`

@Deprecated public interface DifferentiableUnivariateFunction extends UnivariateFunction
Deprecated.
as of 3.1 replaced by `UnivariateDifferentiableFunction`
Extension of `UnivariateFunction` representing a differentiable univariate real function.

## Method Summary

Modifier and Type
Method
Description
`UnivariateFunction`
`derivative()`
Deprecated.
Returns the derivative of the function

### Methods inherited from interface org.apache.commons.math3.analysis.UnivariateFunction

`value`

## Method Details

### derivative

UnivariateFunction derivative()
Deprecated.
Returns the derivative of the function

Returns:
  the derivative function